summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..44d19fd9928
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Wayne Campbell <wcampbell1995 [at] gmail [dot] com>
+pkgname=mint-cli-git
+_pkgname=mint-cli
+pkgver=r52.814bd4d
+pkgrel=1
+pkgdesc="cli interface for Mint using python-mintapi"
+arch=('any')
+url="https://github.com/userWayneCampbell/mint-cli"
+license=('GPL')
+depends=('git' 'python' 'python-mintapi' 'chromedriver' 'google-chrome' 'python-dotenv' 'python-tabulate-git' 'python-colorama-git')
+source=("git+https://github.com/userWayneCampbell/mint-cli.git")
+md5sums=('SKIP')
+
+# Support without tags and with tags
+pkgver() {
+ cd "$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "$srcdir/${_pkgname}"
+ install -Dm755 "${_pkgname}" "${pkgdir}/usr/local/bin/${_pkgname}"
+ install --backup=numbered -Dm744 ".env.example" "${pkgdir}/etc/mint-cli/.env"
+ mkdir -p -m 744 "${pkgdir}/var/lib/mint-cli/data/"
+}